Subject: Re: Undiscovered Country Effect
From: Daryl Bartley <[email-masked]>
To: [email-masked]
Date: Wed, 6 Mar 1996 20:29:36 -0800

You Wrote:   
> 
> He wrote: 
> >
> >When the Klingon Bird of Prey fired its weapons while cloaked you 
> could 
> >see just the nose of the ship fade in as it was illumated by its 
> weapons 
> >fire. Is there a way to control transparency on an object so that I 
> can 
> >pick areas on it that will become visible when I want them to?
> 
> 
> You can simply render the scene with no lights except for when the 
> weapons fire, then comp that back into a starfield The black parts of 
> the shot will key out, i.e. become transparent.
> 
> AC
> 

Actually, it looks as if that's the way they did it in the movie, except
via traditional opticals, because even at its 'fullest' the ship was still
slightly transparent...one thought I had, perhaps when keying the anim
back over the starfield, also use the same images as the alpha channel? 
(or negative, whichever is proper), that way the brighter parts of the
ship would be 'solid', and it would fade to transparency the farther away
from the light it was. Just an idea.. 

-Daryl B.